Figure - 0 O Dev #110718
0 O Dev#110122 (New): D MKO 00 0 O
0 O Dev#110126 (New): 0 MKO DAFO 000 O
0 MKO O FwWO O RemoteControl O TC-RID: 1201-0206002C] Android O O [0 SDK
2022-07-25 17:16 - CD FW-0 O

Status: 0 O Closed Start date: 2022-07-25
Priority: Normal Due date:

Assignee: CDFW-0O 0O % Done: 100%
Category: Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V2.0_20220930

Description

mJ0don0:

000 Android O 0O 0O SDK

m JOURLODODO
m [ 0Ocased 00O
e 00000000 OOOOOOO

History

#1 - 2022-07-25 19:46 - CD FW-0O O
- Assignee changed from CD FW-0O O toCD FW-0O O O

#2 - 2022-08-04 19:44 - CD FW-O O
- Subject changed from 00 MK [0 0050 [0 RemoteControlJ 0 TC-RID: 0301-02060021 Android [0 [0 [ SDK to 0 MKO 0 00500 0 RemoteControl(] [0 TC-RID:
1201-02060020 Android O O O SDK

#3 - 2022-08-29 18:38 - CD FW-0 O
- Assignee changed from CD FW-0 O O to CD FW-0O O

#4 - 2022-09-08 08:33 - CD FW-0 O
- Subject changed from O MKO 0O 0050 [0 RemoteControl] O TC-RID: 1201-02060021 Android [0 O O SDK to 0 MKO O FWO O RemoteControl( O TC-RID:
1201-020600200 Android O O O SDK

#5 - 2022-09-26 13:46 - CD FW-0 O
- Target version set to VX1_MCE_FSE_V2.0_20220930

#6 - 2022-09-26 20:28 - CD FW-0O O

- Status changed from New to O O Closed
- % Done changed from 0 to 100

gooooooooooooooog

#7 - 2022-12-22 20:19- CD FW-0 O
Gerrit Merge Information(]

1D Project Branch Uploader
138475 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | hao.liu_d@thundersoft.com
m/apps/RemoteControlClients -dev

2025-07-05 1/10




AF:RemoteControl:add proiect codel. first add project codeTC-RID: 0301-0206002IssuelD: TS-R-DF-110718Change-Id:

11ded7ce7705c0eb2e7293814h2f6elbc1205e46b

#8 - 2022-12-22 20:19 - CD FW-0O O

Gerrit Merge Information]

1D Project

Branch

Uploader

139470 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

13207b668e0833fb625¢062d5d2d316741320ee5d

AF:RemoteControl:Modify client code, add volume controllerTC-RID: 0301-02060021ssuelD: TS-R-DF-110718Change-1d:

#9 - 2022-12-22 20:19 - CD FW-0 O

Gerrit Merge Information(

1D Project

Branch

Uploader

139609 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl:Modify client code, add volume controllerl.add callback methode2.add applist3.add start app4.when connected get the token5.input ipaddress
and device type to connectTC-RID: 0301-0206002Issuel D: TS-R-DF-110718Change-Id: 1e8123c92eec022ef378a40d16echbb675e9caeb9

#10 - 2022-12-22 20:20 - CD FW-0 O

Gerrit Merge Information(

1D Project

Branch

Uploader

140607 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl:Modify client code, add volume controllerl.Connection status management2.Detail optimization3.Structural optimizationTC-RID:
0301-0206002Issuel D: TS-R-DF-110718Change-Id: 17d92c25502f18801b2dbf20ad72fd92f102afc91

#11 - 2022-12-22 20:21 - CD FwW-0O O

Gerrit Merge Information(]

1D Project

Branch

Uploader

2025-07-05

2/10




140804

general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com

m/apps/RemoteControlClients

-dev

AF:RemoteControl: Clientl. Modify socket message structure;2. Optimize socket send & receive message module;3. Add app icon; TC-RID: 0301-0206002IssuelD:
TS-R-DF-110718Change-Id: 1891aca7144fd2e2e6d80db89a6248c6abb 730518

#12 - 2022-12-22 20:21 - CD Fw-0O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

140811

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Clientl. add quick stting: TC-RID: 0301-02060021ssuelD: TS-R-DF-110718Change-1d: lecaa6d71d6c5b13ef3e0a9dc352466908971c74e

#13 - 2022-12-22 20:22 - CD FwW-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

141220

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Clientl. Connect status bug fixes2.Use RadioButton select connect device sourceTC-RID: 0301-0206002IssuelD:
TS-R-DF-110718Change-1d: 11e056490aa7fc35957¢35bdd9464dd37b874c1fd

#14 - 2022-12-22 20:22 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

141268

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Clientl.Data detection2.RegisterInfo optimize TC-RID: 1201-0206002Issuel D: TS-R-DF-110718Change-Id:
1766f5a47309b980b5bef14a781f7d1511b902dee

#15 - 2022-12-22 20:22 - CD FwW-0 O

2025-07-05
Gerrit Merge Information(

1D

Project

Branch

Uploader

141452

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client1.Parse sockt data fixed TC-RID: 1201-02060021ssuelD: TS-R-DF-110718Change-1d: 13elcda2572472f24f0c9a4071d93fee329f7c4a2

#16 - 2022-12-22 20:22 - CD FwW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

141503

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Clientl.Load app images in batchesTC-RID: 1201-0206002IssuelD: TS-R-DF-110718Change-I1d:
1607428f9013d66854498d1ec7668ddeade592a83

#17 - 2022-12-22 20:22 - CD FW-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

141549

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client1.Show quick settings iconTC-RID: 1201-02060021ssuelD: TS-R-DF-110718Change-1d:
15ae56d05df2dd339a7deed18d94d338c3bch8115

#18 - 2022-12-22 20:22 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

142071

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client mouse control, refact code structure.1. Add mouse control function;2. Refact code structure;3. Opt socket request & response; TC-RID:
1201-0206001IssuelD: TS-R-DF-110718Change-1d: 112275baf920e071b96b13190a52685bacdbe6445

#19 - 2022-12-22 20:27 - CD FwW-0 O

2025-07-05
Gerrit Merge Information(

1D

Project

Branch

Uploader

145242

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client - Add swipe control function. TC-RID: 1201-0206001IssuelD: TS-R-DF-110718Change-1d:
11fd6aaa7fcedafa71d671dd2be153bdffe665ed5

#20 - 2022-12-22 20:27 - CD FwW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

145243

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client - Opt demo page. TC-RID: 1201-0206001IssuelD: TS-R-DF-110718Change-Id: 11ccOfee56789ea016dcd90141e35b7f5d17eaede

#21 - 2022-12-22 20:27 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

145401

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client - General android sdk aar. TC-RID: 1201-02060021ssuelD: TS-R-DF-110718Change-1d: 146fee931787aed8ff352c71d1e447daad2332¢ea8

#22 - 2022-12-22 20:27-CDFw-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

145674

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client - Remove fastjson library, using org.json library. TC-RID: 1201-0206002IssuelD: TS-R-DF-110718Change-Id:
134b0179f41d6ef586cf0abad9ebcedcbaae7ef0d

#23 - 2022-12-22 20:28 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

145751

general/platform/vendor/thundercom
m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-05
AF:RemoteControl: Client - Rename NLog to TLog.TC-RID: 1201-0206002IssuelD: TS-R-DF-110718Change-Id:

1a012e529b4604f82c4bc7cd60d4d60d63b1413fd

#24 - 2022-12-22 20:32 - CD Fw-0O O

Gerrit Merge Informationd

1D Project

Branch

Uploader

149035 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

1789b405bchf445b7b4933691e9d4384cae7f196a

AF:RemoteControl: Client - Modify callback name, opt code. TC-RID: 1201-02060021ssuelD: TS-R-DF-110718Change-Id:

#25 - 2022-12-22 20:33 - CD FW-0 O

Gerrit Merge Information(

1D Project

Branch

Uploader

149709 general/platform/vendor/thundercom
m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

1a84510d5a75903d5593e3f6bcf178bc72179f9cd

AF:RemoteControl: Client - Add direction control function.TC-RID: 1201-0206002IssuelD: TS-R-DF-110718Change-1d:

#26 - 2022-12-22 20:37 - CD Fw-0O O
Gerrit Merge Information(]

1D Project

Branch

Uploader

152195 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client - Opt mouse control and swipe control request.1. Opt mouse control and swipe control request;2. Perfect error message
handle; TC-RID: 1201-0206002Issuel D: TS-R-DF-110718Change-1d: 1a0c4baf703f7e1909860d84d74fd313b8788ad9b

#27 - 2022-12-22 20:45 - CD Fw-0O O

Gerrit Merge Information]

1D Project

Branch

Uploader

157112 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

Ifad61ddc164c8b62b3770e6b2dc442d532123105

AF:RemoteControl: Client - Fix iOS SDK Swipe action bug. TC-RID: 1201-0206002Issuel D: TS-R-DF-110718Change-Id:

2025-07-05
#28 - 2022-12-29 15:54 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
172408 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(Android) - The central control uses VLAN communicationTC-RID: 1201-02060021ssuelD: TS-R-DF-110718Change-1d:
10166738041417bb4d07991f84998a5dbead42107

#29 - 2022-12-30 18:01 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
172815 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(Android) - Add set volume methodTC-RID: 1201-0206002IssuelD: TS-R-DF-110718Change-Id:
1093f7003e77ec44758278bc6ae6899f795d9dch9

#30 - 2023-02-22 17:48 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
183477 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(iOS) - Add mouse press move action.TC-RID: 1201-0206003IssuelD: TS-R-DF-110718Change-I1d:
177781717378594b5873549930ea6603a9b7711

#31 - 2023-02-22 17:49 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
183310 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlClients -dev

AF:RemoteControl: Client(Android) - Add Mouse Press move actionTC-RID: 1201-0206003IssuelD: TS-R-DF-110718Change-Id:
1de98803a1100a664€992c5ha381a65588a93570¢c

#32 - 2023-03-02 16:12 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
185192 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/RemoteControlClients -dev

2025-07-05 7/10



AF:RemoteControl: Client(Android) - Add query screen status action. TC-RID: 1201-02060031ssuelD: TS-R-DF-110718Change-1d:
13a3¢34f1dbf5f78e7dada0flad3e6f16cd17ale0

#33 - 2023-03-02 16:16 - IoT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

185394

general/platform/vendor/thundercom
m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client(iOS) - Add query screen status action. TC-RID: 1201-0206003IssuelD: TS-R-DF-110718Change-1d:
17c7d46ecabada2dd8bf7c0337d5¢727dad56d0a3

#34 - 2023-03-08 14:28 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

186118

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client(iOS) - Add query point position action. TC-RID: 1201-0206003IssuelD: TS-R-DF-110718Change-Id:
140cf248086cc4399124c744b674f16f7ac83967f

#35 - 2023-03-09 15:15 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

185948

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client(Android) - Add query point position action.TC-RID:
1c5ed3365512682f99e3969606825dbeb888d8c41

1201-0206003Issuel D: TS-R-DF-110718Change-1d:

#36 - 2023-03-21 19:22 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

188865

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client(Android) - Modify minSdkTC-RID: 1201-0206003IssuelD: TS-R-DF-110718Change-Id:
176cc818e7¢859ceb534ae707a30b5002e4d6014b

2025-07-05
#37 - 2023-04-10 19:02 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

192737

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client(iOS) - Adjust iPhone devices which version gather than 14.0TC-RID: 1201-0206003Issuel D: TS-R-DF-110718Change-I1d:
1f81aa210ba86534bc685edf28e97cef4bb99493c

#38 - 2023-04-13 20:54 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

193621

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client(iOS) - Optimize Demo MyTouchView for swipe command.TC-RID: 1201-0206003IssuelD: TS-R-DF-110718Change-1d:
15d0che3d29f24991d8b53b0c51caelbdf42cc5de

#39 - 2023-04-15 16:52 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

194060

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client(iOS) - Add version print and log output.1. Add output current sdk version;2. Add log output callback;3. Add screen status - dream
on; TC-RID: 1201-02060031ssuel D: TS-R-DF-110718Change-1d: 195e1b6e7d3fd3da947d6016bfa017f877c0ae9bc

#40 - 2023-04-19 11:38 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

194570

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client(Android) - add TLog call backTC-RID: 1201-0206002IssuelD: TS-R-DF-110718Change-1d:
lcd0ee20b4e6ed5d85687672eb8beb89ee5eead08

#41 - 2023-04-19 19:23 - loT scm

Gerrit Merge Information(]

2025-07-05
1D

Project

Branch

Uploader

194739

general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client(iOS) - Optimize get server ip function. TC-RID: 1201-0206003IssuelD: TS-R-DF-110718Change-Id:
19bf44ac7377bce31cea5ff5h068df3558ae0641d

2025-07-05
